Name:           lutris
Version:        0.3.7.5
Release:        %mkrel 1
Summary:        Install and play any video game easily
Group:          Games/Other
License:        GPLv3+
URL:            http://lutris.net
Source0:        http://lutris.net/releases/%{name}_%{version}.tar.xz
Patch0:         lutris-git-Removes-the-fixed-width-height-of-the-window.patch

BuildArch:      noarch
BuildRequires:  librsvg
BuildRequires:  python
BuildRequires:  python-gi
BuildRequires:  python-pyxdg
Requires:       python-dbus
Requires:       python-gi
Requires:       python-pyxdg
Requires:       python-yaml
Requires:       xrandr

%description
Lutris is a gaming platform for GNU/Linux. Its goal is to make
gaming on Linux as easy as possible by taking care of installing
and setting up the game for the user. The only thing you have to
do is play the game. It aims to support every game that is playable
on Linux.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

# SVG icon is broken in Qt applications, we use PNGs for now
pushd %{buildroot}%{_iconsdir}/hicolor
  for size in 16 32 48 64 128 256; do
    mkdir -p ${size}x${size}/apps
    rsvg-convert scalable/apps/%{name}.svg -w ${size} -o ${size}x${size}/apps/%{name}.png
  done
  rm -rf scalable
popd

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/apps.%{name}.gschema.xml
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/polkit-1/actions/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{python_sitelib}/%{name}-%{version}-py%{python_version}.egg-info
%{python_sitelib}/%{name}/


%changelog
* Tue May 10 2016 daviddavid <daviddavid> 0.3.7.5-1.mga5
+ Revision: 1011988
- new version: 0.3.7.5 (bugfix release)
- sync with Cauldron
- add missing requires on python-dbus (fixes mga#18410)

  + akien <akien>
    - Version 0.3.7.2
    - Version 0.3.7
    - Drop no longer needed deps

* Wed Nov 26 2014 akien <akien> 0.3.6.3-1.mga5
+ Revision: 799337
- Add missing xrandr Requires
- Version 0.3.6.3

* Wed Nov 12 2014 akien <akien> 0.3.6.2-1.mga5
+ Revision: 796654
- Version 0.3.6.2

* Tue Nov 11 2014 akien <akien> 0.3.5-5.mga5
+ Revision: 796471
- Add a missing gvfs Requires as found out upstream on git#110

* Mon Nov 10 2014 akien <akien> 0.3.5-4.mga5
+ Revision: 796175
- Add dependency on glib-networking (fix upstream git#110)

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-3.mga5
+ Revision: 746065
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.5-2.mga5
+ Revision: 727001
- rebuild for missing pythoneggs deps

* Tue Sep 23 2014 akien <akien> 0.3.5-1.mga5
+ Revision: 719250
- imported package lutris


* Fri Sep 12 2014 Mathieu Comandon <strycore@gmail.com> - 0.3.5-1
- Bump version to 0.3.5

* Thu Aug 14 2014 Travis Nickles <nickles.travis@gmail.com> - 0.3.4-3
- Edited Requires to include pygobject3.

* Wed Jun 04 2014 Travis Nickles <nickles.travis@gmail.com> - 0.3.4-2
- Changed build and install step based on template generated by
  rpmdev-newspec.
- Added Requires.
- Ensure package can be built using mock.

* Tue Jun 03 2014 Travis Nickles <nickles.travis@gmail.com> - 0.3.4-1
- Initial version of the package
